Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.text.shared
Class AbstractRenderer<T>

    java.lang.Object
      com.google.gwt.text.shared.AbstractRenderer<T>

Type Parameters:
  `T` - the type to render

All Implemented Interfaces:
  Renderer<T>

Direct Known Subclasses:
  DateTimeFormatRenderer, DoubleRenderer, IntegerRenderer, LongRenderer, NumberFormatRenderer, PassthroughRenderer, ProxyRenderer

    public abstract class AbstractRenderer<T>

extends java.lang.Object
implements Renderer<T>

Abstract implementation of a renderer to make implementation of rendering simpler.

Constructor Summary
`AbstractRenderer()`

Method Summary
`void` | `render(T object, java.lang.Appendable appendable)` Renders `object` as plain text, appended directly to `appendable`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.text.shared.Renderer
`render`

Constructor Detail

### AbstractRenderer

    public AbstractRenderer()

Method Detail

### render

    public void render(T object,
                       java.lang.Appendable appendable)
                throws java.io.IOException

  Description copied from interface: `Renderer`
  Renders `object` as plain text, appended directly to `appendable`. Should never throw any exceptions except if `appendable` throws an `IOException`.

  Specified by:
    `render` in interface `Renderer<T>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD